using PlcSiemens.O;
using PlcSiemens.Protocol.Header;

namespace PlcSiemens.Protocol.DateTime
{
    public class ControlResponse : IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public FunCtrlResponse Params { get; set; }

        public ControlResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new FunCtrlResponse();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
        }
    }
}
